/******************************************************************************/
/* PROJET : MICROCONTROLEUR 68HC11 -		                              */
/*									      */
/*		####### #     #  #####  ####### ######  ######		      */
/*		#       ##    # #     # #       #     # #     #		      */
/*		#       # #   # #       #       #     # #     #		      */
/*		#####   #  #  #  #####  #####   ######  ######		      */
/*		#       #   # #       # #       #   #   #     #		      */
/*		#       #    ## #     # #       #    #  #     #		      */
/*		####### #     #  #####  ####### #     # ######		      */
/*									      */
/*									      */
/*						Ecole			      */
/*			 			 Nationale		      */
/*			  			  Superieure d'		      */
/*			 			   Electronique et de 	      */
/*			    			    Radioelectricite de	      */
/*			     			     Bordeaux		      */
/******************************************************************************/
/******************************************************************************/
/*                                                                          */
/* Nom du fichier  : libhc11.h                                              */
/*                                                                          */
/* Version et date : 1.0 01/09/99 creation                                  */
/*                                                                          */
/* Auteur          : P. Kadionik  IXL-ENSERB                                */
/*                                                                          */
/****************************************************************************/
/****************************************************************************/
/*                                                                          */
/* Description     :                                                        */
/* Prototype de fonctions pour carte ENSERB 68HC11                          */
/* Configuration de la carte:                                               */
/*   - PORTE : 8 bits en entrees                                            */
/*   - PORTA : entrees = PA0,PA1,PA2                                        */
/*             sorties = PA3,PA4,PA5,PA6,PA7                                */
/****************************************************************************/
/****************************************************************************/
#define _BASE   0x1000  /* Adresse de base registres 68HC11 pour Cosmic C   */
#include <io.h>


extern void tempo (unsigned int);
extern unsigned char get1A(unsigned char);
extern unsigned char get1E(unsigned char);
extern unsigned char get8E();
extern void put8A(unsigned char);
extern void put1A(unsigned char, unsigned char);
extern void baudrate(unsigned int);
extern unsigned char read_com (unsigned char *);
extern void write_com (unsigned char);
extern void AppTickInit (void);
